3 ARM架构CentOS7系统下:RabbitMQ 、erlang以及socat的安装

ARM架构CentOS7系统下:RabbitMQ 、erlang以及socat的安装

#运行Package Cloud提供的RabbitMQ Server快速安装脚本
curl -s https://packagecloud.io/install/repositories/rabbitmq/rabbitmq-server/script.rpm.sh | sudo bash

#运行Package Cloud提供Erlang环境快速安装脚本
curl -s https://packagecloud.io/install/repositories/rabbitmq/erlang/script.rpm.sh | sudo bash

#当在Linux系统中使用yum安装软件时提示 “没有可用软件包”时,代表在linux系统#yum源中已经没有对应的安装包了,这时,我们需要安装EPEL。
yum install -y epel-release

#使用yum安装Erlang环境
yum  -y install erlang

#安装socat, logrotate依赖
yum install socat logrotate -y


#卸载erlang
yum -y remove erlang-*

#按官网的提示操作

#使用存储库安装
wget https://packages.erlang-solutions.com/erlang-solutions-2.0-1.noarch.rpm
rpm -Uvh erlang-solutions-2.0-1.noarch.rpm

#旧的存储库
wget https://packages.erlang-solutions.com/erlang-solutions-1.0-1.noarch.rpm
rpm -Uvh erlang-solutions-1.0-1.noarch.rpm

#手动添加存储库条目
rpm --import https://packages.erlang-solutions.com/rpm/erlang_solutions.asc

#添加到“/etc/yum.repos.d/”目录文件中
vim erlang_solutions.repo
[erlang-solutions]
name=CentOS $releasever - $basearch - Erlang Solutions
baseurl=https://packages.erlang-solutions.com/rpm/centos/$releasever/$basearch
gpgcheck=1
gpgkey=https://packages.erlang-solutions.com/rpm/erlang_solutions.asc
enabled=1

#查看erlang可安装版本
yum list |grep erlang

yum list erlang --showduplicates | sort -r

#安装erlang,也可安装指定版本
yum install -y erlang

#安装erlang指定版本
yum install erlang-24.0-1.el7.aarch64



#使用yum安装RabbitMQ Server
yum install -y rabbitmq-servery

本图文内容来源于网友网络收集整理提供,作为学习参考使用,版权属于原作者。
THE END
分享
二维码
< <上一篇
下一篇>>